
class git::client {

    package { "git":
	ensure => installed,
    }

}


class git::server inherits git::client {

    include inetd::server

    package { ["git-daemon", "gitweb"]:
	ensure => installed,
    }

    file { "/git":
	ensure => "/srv/git",
    }

    file { "/var/www/git/gitweb_config.perl":
	ensure  => present,
	source  => [ "puppet:///files/git/gitweb_config.perl.${fqdn}",
		     "puppet:///files/git/gitweb_config.perl",
		     "puppet:///git/gitweb_config.perl", ],
	mode    => 0644,
	owner   => root,
	group   => root,
	require => Package["gitweb"],
    }

    inetd::service { "git":
	ensure  => present,
        require => Package["git-daemon"],
    }

}
